# NOTE: This package is fully arched due to dependency sensitivity.
# Please do not remove archfulness on Requires/Provides.

%define debug_package %{nil}

Name:           mkefiboot
Version:        31.8.0.1
Release:        %mkrel 2
Summary:        Standalone mkefiboot implementation for when Lorax is unavailable
Group:          System/Boot and Init
License:        GPLv2+
URL:            https://pagure.io/%{name}
Source0:        https://releases.pagure.org/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  python3-devel

Requires:       grub2-efi
Requires:       parted
Requires:       dmsetup
Requires:       dosfstools
Requires:       hfsplusutils

%description
This is a "friendly fork" standalone copy of mkefiboot that is normally part of Lorax.

This project was made for the express purpose of supporting producing EFI boot capable
media on Linux distributions where the full Lorax software package (which requires
Anaconda, the Red Hat/Fedora installer) would not be available.


%prep
%setup -q


%build
%py3_build


%install
%py3_install


%files
%doc COPYING
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/py%{name}/
%{python3_sitelib}/%{name}-*

%changelog
* Thu Aug 25 2022 TerryN <terryn94 at gmail.com>  31.8.0.1-2pclos2022
- rebuild for python 3.10

* Mon Jul 08 2019 tex - 31.8.0.1-1pclos2019
- new

